%global         debug_package %{nil}
%global         pkgdate 20210318
%global         pkgver 9319
%global         longcommit c38987bbb0f2a56f8e914fe6c086087050c80901
%global         commit %(echo %{longcommit} | cut -c1-9)

Summary:        An advanced Duke Nukem 3D source port
Name:           eduke32
Version:        %{pkgdate}.%{pkgver}
Release:        1%{dist}
License:        GPL, Custom
Group:          Game
Source:         https://voidpoint.io/terminx/eduke32/-/archive/%{commit}/eduke32-master.tar.gz#/%{name}-%{version}.tar.gz
Source1:        eduke32.desktop
Source2:        mapster32.desktop
Source3:        eduke32.png
URL:            http://eduke32.com/

BuildRequires:  gcc-c++
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  SDL2-devel
BuildRequires:  SDL2_mixer-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libvpx-devel
BuildRequires:  flac-devel
BuildRequires:  alsa-lib-devel

Requires:       flac

%description
An advanced Duke Nukem 3D source port

%package -n mapster32
Summary:        EDuke32 map editor
Requires:       eduke32
Requires:       flac

%description -n mapster32
EDuke32 map editor


%prep
%autosetup -c -n %{name}-%{version}

%build
cd eduke32-%{commit}-%{longcommit}
%make_build HAVE_GTK2=0 NOASM=1 PRETTY_OUTPUT=0

%install
%{__mkdir_p} %{buildroot}/usr/share/applications/
install -Dm644 %{SOURCE1} %{buildroot}/usr/share/applications/eduke32.desktop
install -Dm644 %{SOURCE2} %{buildroot}/usr/share/applications/mapster32.desktop

%{__mkdir_p} %{buildroot}/usr/share/icons/hicolor/48x48/apps/
install -Dm644 %{SOURCE3} %{buildroot}/usr/share/icons/hicolor/48x48/apps/eduke32.png


cd eduke32-%{commit}-%{longcommit}
%{__mkdir_p} %{buildroot}/%{_bindir}
install -m 755 -p eduke32 mapster32 %{buildroot}/%{_bindir}

%files
%{_bindir}/eduke32
/usr/share/applications/eduke32.desktop
/usr/share/icons/hicolor/48x48/apps/eduke32.png

%files -n mapster32
%{_bindir}/mapster32
/usr/share/applications/mapster32.desktop
